for_each.hpp File Reference

## Typedefs

template<typename I , typename F >
using | ranges::for_each_result = detail::in_fun_result< I, F >

## Functions

template<typename I , typename S , typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_iterator< I > &&sentinel_for< S, I > &&indirectly_unary_invocable< F, projected< I, P >>) ccconstexpr for_each_result< I
| function template `for_each`
template<typename Rng , typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_range< Rng > &&indirectly_unary_invocable< F, projected< iterator_t< Rng >, P >>) ccconstexpr for_each_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 F | ranges::for_each (I first, S last, F fun, P proj=P{})
CPP_TEMPLATE_AUX_0 F | ranges::for_each (Rng &&rng, F fun, P proj=P{})